<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!-- 
IGAC proyecto SNC
@author:        juan.agudelo
@version        2.0
@cu             CU-CO-V-03

    Pantalla que permite mostrar la información de cancelación e inscripcion 
    en el modulo correspondiente a Ficha Matriz
    Aplica solo para mutaciondes de 2a desenglobe
    
    Paramteros de entrada:
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" columns="1"
             cellspacing="13"
             id="tablaDatosIdfichaMatrizIdPanel" width="100%">

    <h:outputLabel value="Nombre PH/Condominio" />
    <h:outputText value="#{infoCancelacionInscripcion.ppredioFichaMatriz.nombre}" />

    <p:dataTable value="#{infoCancelacionInscripcion.ppredioFichaMatriz}"
                 emptyMessage="No existe información de los predios de la ficha Matriz"
                 id="tablaDatosId#{idTablaPanelParam}" var="fichaMatriz">

        <f:facet name="header">
            Detalle predios
        </f:facet>

        <p:column headerText="">
            <h:outputText value="#{datosPredio[0]}" />
        </p:column>

        <p:column headerText="Predio inicial"
                  rendered="#{not empty infoCancelacionInscripcion.predioInicialSeleccionado}">
            <p:graphicImage value="#{datosPredio[3]}" height="13" width="13" />
            <h:outputText value="#{datosPredio[1]}" />
        </p:column>

        <p:column headerText="Predio proyectado"
                  rendered="#{not empty infoCancelacionInscripcion.predioFinalSeleccionado}">
            <p:graphicImage value="#{datosPredio[4]}" height="13" width="13" />
            <h:outputText value="#{datosPredio[2]}" />
        </p:column>

    </p:dataTable>
</h:panelGrid>

